package ch.psi.daq.queryrest.model;

import com.fasterxml.jackson.annotation.JsonFilter;

/**
 * Kind of marker for ObjectMapper MixIn. Use this instead of to make sure we can use different
 * properties in case ChannelEvents and ChannelConfigurations are mixed in a response.
 */
@JsonFilter("historicChannelConfigurationPropertyFilter")
public class HistoricChannelConfigurationPropertyFilterMixin {
   public static final String FILTER_NAME = "historicChannelConfigurationPropertyFilter";
}
